#include "Kortexino.h"
#include "Robot.h"

// initialize Kortexino BLE communication class
Kortexino kortexino;

// initialize robot microcontroller
Robot robot;

void setup() 
{ 
  robot.start();
} 

void turn_180deg()
{
  float target_deg;
  target_deg = kortexino.compass+180;
  if(target_deg>360)
  {
    target_deg=target_deg-360;
  }
  if(kortexino.compass<target_deg)
  {
    while (kortexino.compass<target_deg)
    {
      kortexino.read_data();
      robot.turn_left(20);
    }
  }
  else
  {
    while (kortexino.compass>target_deg)
    {
      kortexino.read_data();
      robot.turn_right(20);
    }
  }
   robot.stop_movement();
}

void loop()
{ 
  //read data from the Kortexino app
  kortexino.read_data();
    
  if(kortexino.data_available)
  {
    if (kortexino.face_detected == true)
    {
      turn_180deg();
    }
  }
}
